public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-12-27  9:27 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-12-27  9:27 UTC (permalink / raw
  To: gentoo-commits

commit:     ec9ebc98855ebdf3fc9672c3521689182dd8d641
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 27 09:25:28 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Dec 27 09:26:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec9ebc98

app-emulation/fs-uae-launcher: Version bump to 3.1.66

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 +
 .../fs-uae-launcher/fs-uae-launcher-3.1.66.ebuild  | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 7bfd8becebc9..ce18d05a042c 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,2 +1,3 @@
 DIST fs-uae-launcher-3.1.63.tar.xz 7718940 BLAKE2B e1e6102ce6f3e0a5b3f7429ac5894a50b42f2ee26d3b8bf4fec5b39fa199a28d12ebd056ac0c372ce38f78c820dc0c3dec4c4af0918f3a7e5f4b05f944791afb SHA512 d363512c4930f0a245d5333bb5324264244ffc0eb3a39e4ec419cb4861ca9bf5e1f2084405b7f8757f86f0ed9754dbbbbe0aab3391b04898a7d3dc2621346849
 DIST fs-uae-launcher-3.1.64.tar.xz 7719268 BLAKE2B 7753006e40e11d557f9cca90296b189638b832b8c2caebceb3fd5aa0393d3b1236ef2d47b176a900d26ab37012198afeb1549da92ba0570eb9b61df42c896550 SHA512 2f7c485f7707595a847130ebbaad3cf1fe9dc11149744bad2683b1b912a53830b687c0aa5ce97dc95a883182ef51020cc02fa434eac903752530f3780342090a
+DIST fs-uae-launcher-3.1.66.tar.xz 7730328 BLAKE2B 68e141658d267c0bc574b216be5c99d10dff23d153e13cccc6a19c5abe618657ce3faf5c685e604ef55927a0dc713c0606f9e1f41e3bcd0015aeb232b9266713 SHA512 6232f43a0a41e67d912b277294079608808a7243512e7970900fab2be483ba82da99eaae547c41be059828c1f5d316e9b58ab8018651c9643b2b72cf7eb6f67e

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.66.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.66.ebuild
new file mode 100644
index 000000000000..79ca9670131e
--- /dev/null
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.66.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="PyQt5-based launcher for FS-UAE"
+HOMEPAGE="https://fs-uae.net/"
+SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="lha"
+RESTRICT="test" # The test files are just boilerplate.
+
+RDEPEND="
+	app-emulation/fs-uae
+	$(python_gen_cond_dep '
+		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
+		dev-python/pyopengl[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
+	')
+"
+
+BDEPEND="
+	sys-devel/gettext
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
+)
+
+python_compile_all() {
+	emake
+}
+
+python_install() {
+	local dir=${EPREFIX}/usr/share/${PN}
+	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
+}
+
+python_install_all() {
+	dosym ../share/${PN}/${PN} /usr/bin/${PN}
+	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
+	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	elog "Some important information:"
+	elog
+	ewarn " - Do not use QtCurve, it will crash PyQt5!"
+	elog
+	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
+	elog "   If your Documents directory is not configured according to the XDG"
+	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
+	elog
+	elog " - You can override this by putting the path to the desired base"
+	elog "   directory in a special config file. The config file will be read"
+	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
+	elog "   if it exists."
+	elog
+	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
+	elog "   --base-dir=/path/to/desired/dir"
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2024-03-09 15:16 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2024-03-09 15:16 UTC (permalink / raw
  To: gentoo-commits

commit:     3d8894b413deb3beb5e0470abedee674ff1852a1
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  9 15:15:39 2024 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Mar  9 15:15:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d8894b4

app-emulation/fs-uae-launcher: Bump to 3.1.70, drop 3.1.68, migrate to PEP517

Closes: https://bugs.gentoo.org/909874
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest                   |  2 +-
 ...ncher-3.1.68.ebuild => fs-uae-launcher-3.1.70.ebuild} | 16 +++++-----------
 2 files changed, 6 insertions(+), 12 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 33e2c6962c2d..42be2cdab6a4 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1 +1 @@
-DIST fs-uae-launcher-3.1.68.tar.xz 7736036 BLAKE2B b2b14d568efa8c00b45497dea1bf73ac0b2522171269903f50ee68eff7e990f54c1b836af84a0b338caffd159fe3f638e6326db95f86482e190238e75894decd SHA512 a637117602c7276b60350ac3bb9c69eec4c18454efd4024e7b822da897eee0f9299f406e4126771f753b75f29d53591e9bbe3e4cbc016dda1ec063e73fe51f07
+DIST fs-uae-launcher-3.1.70.tar.xz 7707368 BLAKE2B fce6e47b1e09fbfae4959cffe55fec5803aa4dca511af76d621fba2156eee5d76164c0ff5dfad75864b3c2fd5c0a8b5968181538d37b9a039ffd8ab037eeafa2 SHA512 6a4eca273ebd21f64ee0a863497fb39c8b17b6dba0b99a0122f33ea688fb2b341998280b3d0ab4cac2d913bc15834dfec3a1662331dea48933135a82e29f5a83

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.70.ebuild
similarity index 83%
rename from app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild
rename to app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.70.ebuild
index 3a44d050a9cf..d76e5f987497 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.70.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{9..11} )
-DISTUTILS_SINGLE_IMPL=1
-DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{9..12} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=yes
 
 inherit distutils-r1 xdg
 
@@ -37,16 +37,10 @@ PATCHES=(
 )
 
 python_compile_all() {
-	emake
-}
-
-python_install() {
-	local dir=${EPREFIX}/usr/share/${PN}
-	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
+	emake mo
 }
 
 python_install_all() {
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
 	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
 	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
 }


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2023-02-18 14:09 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2023-02-18 14:09 UTC (permalink / raw
  To: gentoo-commits

commit:     fefeab1c3ec08edafd263587a2043063635f9731
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 18 13:53:01 2023 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Feb 18 14:09:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fefeab1c

app-emulation/fs-uae-launcher: Drop old 3.1.66

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 -
 .../fs-uae-launcher/fs-uae-launcher-3.1.66.ebuild  | 72 ----------------------
 2 files changed, 73 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index b530bfe1eadf..33e2c6962c2d 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,2 +1 @@
-DIST fs-uae-launcher-3.1.66.tar.xz 7730328 BLAKE2B 68e141658d267c0bc574b216be5c99d10dff23d153e13cccc6a19c5abe618657ce3faf5c685e604ef55927a0dc713c0606f9e1f41e3bcd0015aeb232b9266713 SHA512 6232f43a0a41e67d912b277294079608808a7243512e7970900fab2be483ba82da99eaae547c41be059828c1f5d316e9b58ab8018651c9643b2b72cf7eb6f67e
 DIST fs-uae-launcher-3.1.68.tar.xz 7736036 BLAKE2B b2b14d568efa8c00b45497dea1bf73ac0b2522171269903f50ee68eff7e990f54c1b836af84a0b338caffd159fe3f638e6326db95f86482e190238e75894decd SHA512 a637117602c7276b60350ac3bb9c69eec4c18454efd4024e7b822da897eee0f9299f406e4126771f753b75f29d53591e9bbe3e4cbc016dda1ec063e73fe51f07

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.66.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.66.ebuild
deleted file mode 100644
index d757cf8abed7..000000000000
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.66.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_9 )
-DISTUTILS_SINGLE_IMPL=1
-DISTUTILS_USE_SETUPTOOLS=no
-
-inherit distutils-r1 xdg
-
-DESCRIPTION="PyQt5-based launcher for FS-UAE"
-HOMEPAGE="https://fs-uae.net/"
-SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-IUSE="lha"
-RESTRICT="test" # The test files are just boilerplate.
-
-RDEPEND="
-	app-emulation/fs-uae
-	$(python_gen_cond_dep '
-		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
-		dev-python/pyopengl[${PYTHON_USEDEP}]
-		dev-python/requests[${PYTHON_USEDEP}]
-		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
-	')
-"
-
-BDEPEND="
-	sys-devel/gettext
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
-)
-
-python_compile_all() {
-	emake
-}
-
-python_install() {
-	local dir=${EPREFIX}/usr/share/${PN}
-	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
-}
-
-python_install_all() {
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
-	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
-	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-
-	elog "Some important information:"
-	elog
-	ewarn " - Do not use QtCurve, it will crash PyQt5!"
-	elog
-	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
-	elog "   If your Documents directory is not configured according to the XDG"
-	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
-	elog
-	elog " - You can override this by putting the path to the desired base"
-	elog "   directory in a special config file. The config file will be read"
-	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
-	elog "   if it exists."
-	elog
-	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
-	elog "   --base-dir=/path/to/desired/dir"
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2023-02-18 14:09 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2023-02-18 14:09 UTC (permalink / raw
  To: gentoo-commits

commit:     89d6a3131372eacb85462737e96a7ad625c1d45a
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 18 14:08:32 2023 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Feb 18 14:09:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89d6a313

app-emulation/fs-uae-launcher: Python 3.11

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild
index 2251cd10cddc..3a44d050a9cf 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{9,10} )
+PYTHON_COMPAT=( python3_{9..11} )
 DISTUTILS_SINGLE_IMPL=1
 DISTUTILS_USE_SETUPTOOLS=no
 


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2022-01-30 11:39 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2022-01-30 11:39 UTC (permalink / raw
  To: gentoo-commits

commit:     3c8c53f31727ec807fdb55226601d12aca76b5ee
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 30 11:37:29 2022 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Jan 30 11:39:05 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c8c53f3

app-emulation/fs-uae-launcher: Version bump to 3.1.68, Python 3.10

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 +
 .../fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild  | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 36daa6c7006b..240239908edd 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,2 +1,3 @@
 DIST fs-uae-launcher-3.1.64.tar.xz 7719268 BLAKE2B 7753006e40e11d557f9cca90296b189638b832b8c2caebceb3fd5aa0393d3b1236ef2d47b176a900d26ab37012198afeb1549da92ba0570eb9b61df42c896550 SHA512 2f7c485f7707595a847130ebbaad3cf1fe9dc11149744bad2683b1b912a53830b687c0aa5ce97dc95a883182ef51020cc02fa434eac903752530f3780342090a
 DIST fs-uae-launcher-3.1.66.tar.xz 7730328 BLAKE2B 68e141658d267c0bc574b216be5c99d10dff23d153e13cccc6a19c5abe618657ce3faf5c685e604ef55927a0dc713c0606f9e1f41e3bcd0015aeb232b9266713 SHA512 6232f43a0a41e67d912b277294079608808a7243512e7970900fab2be483ba82da99eaae547c41be059828c1f5d316e9b58ab8018651c9643b2b72cf7eb6f67e
+DIST fs-uae-launcher-3.1.68.tar.xz 7736036 BLAKE2B b2b14d568efa8c00b45497dea1bf73ac0b2522171269903f50ee68eff7e990f54c1b836af84a0b338caffd159fe3f638e6326db95f86482e190238e75894decd SHA512 a637117602c7276b60350ac3bb9c69eec4c18454efd4024e7b822da897eee0f9299f406e4126771f753b75f29d53591e9bbe3e4cbc016dda1ec063e73fe51f07

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild
new file mode 100644
index 000000000000..f0f95ef7d072
--- /dev/null
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.68.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="PyQt5-based launcher for FS-UAE"
+HOMEPAGE="https://fs-uae.net/"
+SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="lha"
+RESTRICT="test" # The test files are just boilerplate.
+
+RDEPEND="
+	app-emulation/fs-uae
+	$(python_gen_cond_dep '
+		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
+		dev-python/pyopengl[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
+	')
+"
+
+BDEPEND="
+	sys-devel/gettext
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
+)
+
+python_compile_all() {
+	emake
+}
+
+python_install() {
+	local dir=${EPREFIX}/usr/share/${PN}
+	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
+}
+
+python_install_all() {
+	dosym ../share/${PN}/${PN} /usr/bin/${PN}
+	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
+	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	elog "Some important information:"
+	elog
+	ewarn " - Do not use QtCurve, it will crash PyQt5!"
+	elog
+	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
+	elog "   If your Documents directory is not configured according to the XDG"
+	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
+	elog
+	elog " - You can override this by putting the path to the desired base"
+	elog "   directory in a special config file. The config file will be read"
+	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
+	elog "   if it exists."
+	elog
+	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
+	elog "   --base-dir=/path/to/desired/dir"
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2022-01-30 11:39 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2022-01-30 11:39 UTC (permalink / raw
  To: gentoo-commits

commit:     b07a35c96cc0982504f1df4bd132b4817fee1bfa
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 30 11:37:51 2022 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Jan 30 11:39:08 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b07a35c9

app-emulation/fs-uae-launcher: Drop old 3.1.64

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 -
 .../fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild  | 72 ----------------------
 2 files changed, 73 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 240239908edd..b530bfe1eadf 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,3 +1,2 @@
-DIST fs-uae-launcher-3.1.64.tar.xz 7719268 BLAKE2B 7753006e40e11d557f9cca90296b189638b832b8c2caebceb3fd5aa0393d3b1236ef2d47b176a900d26ab37012198afeb1549da92ba0570eb9b61df42c896550 SHA512 2f7c485f7707595a847130ebbaad3cf1fe9dc11149744bad2683b1b912a53830b687c0aa5ce97dc95a883182ef51020cc02fa434eac903752530f3780342090a
 DIST fs-uae-launcher-3.1.66.tar.xz 7730328 BLAKE2B 68e141658d267c0bc574b216be5c99d10dff23d153e13cccc6a19c5abe618657ce3faf5c685e604ef55927a0dc713c0606f9e1f41e3bcd0015aeb232b9266713 SHA512 6232f43a0a41e67d912b277294079608808a7243512e7970900fab2be483ba82da99eaae547c41be059828c1f5d316e9b58ab8018651c9643b2b72cf7eb6f67e
 DIST fs-uae-launcher-3.1.68.tar.xz 7736036 BLAKE2B b2b14d568efa8c00b45497dea1bf73ac0b2522171269903f50ee68eff7e990f54c1b836af84a0b338caffd159fe3f638e6326db95f86482e190238e75894decd SHA512 a637117602c7276b60350ac3bb9c69eec4c18454efd4024e7b822da897eee0f9299f406e4126771f753b75f29d53591e9bbe3e4cbc016dda1ec063e73fe51f07

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild
deleted file mode 100644
index 79ca9670131e..000000000000
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9} )
-DISTUTILS_SINGLE_IMPL=1
-DISTUTILS_USE_SETUPTOOLS=no
-
-inherit distutils-r1 xdg
-
-DESCRIPTION="PyQt5-based launcher for FS-UAE"
-HOMEPAGE="https://fs-uae.net/"
-SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-IUSE="lha"
-RESTRICT="test" # The test files are just boilerplate.
-
-RDEPEND="
-	app-emulation/fs-uae
-	$(python_gen_cond_dep '
-		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
-		dev-python/pyopengl[${PYTHON_USEDEP}]
-		dev-python/requests[${PYTHON_USEDEP}]
-		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
-	')
-"
-
-BDEPEND="
-	sys-devel/gettext
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
-)
-
-python_compile_all() {
-	emake
-}
-
-python_install() {
-	local dir=${EPREFIX}/usr/share/${PN}
-	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
-}
-
-python_install_all() {
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
-	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
-	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-
-	elog "Some important information:"
-	elog
-	ewarn " - Do not use QtCurve, it will crash PyQt5!"
-	elog
-	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
-	elog "   If your Documents directory is not configured according to the XDG"
-	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
-	elog
-	elog " - You can override this by putting the path to the desired base"
-	elog "   directory in a special config file. The config file will be read"
-	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
-	elog "   if it exists."
-	elog
-	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
-	elog "   --base-dir=/path/to/desired/dir"
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-12-27  9:27 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-12-27  9:27 UTC (permalink / raw
  To: gentoo-commits

commit:     d7dc80f0d8c784c43bf5a5fb6de9b941785cb53c
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 27 09:25:46 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Dec 27 09:26:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7dc80f0

app-emulation/fs-uae-launcher: Drop old 3.1.63

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 -
 .../fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild  | 72 ----------------------
 2 files changed, 73 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index ce18d05a042c..36daa6c7006b 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,3 +1,2 @@
-DIST fs-uae-launcher-3.1.63.tar.xz 7718940 BLAKE2B e1e6102ce6f3e0a5b3f7429ac5894a50b42f2ee26d3b8bf4fec5b39fa199a28d12ebd056ac0c372ce38f78c820dc0c3dec4c4af0918f3a7e5f4b05f944791afb SHA512 d363512c4930f0a245d5333bb5324264244ffc0eb3a39e4ec419cb4861ca9bf5e1f2084405b7f8757f86f0ed9754dbbbbe0aab3391b04898a7d3dc2621346849
 DIST fs-uae-launcher-3.1.64.tar.xz 7719268 BLAKE2B 7753006e40e11d557f9cca90296b189638b832b8c2caebceb3fd5aa0393d3b1236ef2d47b176a900d26ab37012198afeb1549da92ba0570eb9b61df42c896550 SHA512 2f7c485f7707595a847130ebbaad3cf1fe9dc11149744bad2683b1b912a53830b687c0aa5ce97dc95a883182ef51020cc02fa434eac903752530f3780342090a
 DIST fs-uae-launcher-3.1.66.tar.xz 7730328 BLAKE2B 68e141658d267c0bc574b216be5c99d10dff23d153e13cccc6a19c5abe618657ce3faf5c685e604ef55927a0dc713c0606f9e1f41e3bcd0015aeb232b9266713 SHA512 6232f43a0a41e67d912b277294079608808a7243512e7970900fab2be483ba82da99eaae547c41be059828c1f5d316e9b58ab8018651c9643b2b72cf7eb6f67e

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild
deleted file mode 100644
index 79ca9670131e..000000000000
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9} )
-DISTUTILS_SINGLE_IMPL=1
-DISTUTILS_USE_SETUPTOOLS=no
-
-inherit distutils-r1 xdg
-
-DESCRIPTION="PyQt5-based launcher for FS-UAE"
-HOMEPAGE="https://fs-uae.net/"
-SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-IUSE="lha"
-RESTRICT="test" # The test files are just boilerplate.
-
-RDEPEND="
-	app-emulation/fs-uae
-	$(python_gen_cond_dep '
-		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
-		dev-python/pyopengl[${PYTHON_USEDEP}]
-		dev-python/requests[${PYTHON_USEDEP}]
-		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
-	')
-"
-
-BDEPEND="
-	sys-devel/gettext
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
-)
-
-python_compile_all() {
-	emake
-}
-
-python_install() {
-	local dir=${EPREFIX}/usr/share/${PN}
-	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
-}
-
-python_install_all() {
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
-	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
-	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-
-	elog "Some important information:"
-	elog
-	ewarn " - Do not use QtCurve, it will crash PyQt5!"
-	elog
-	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
-	elog "   If your Documents directory is not configured according to the XDG"
-	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
-	elog
-	elog " - You can override this by putting the path to the desired base"
-	elog "   directory in a special config file. The config file will be read"
-	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
-	elog "   if it exists."
-	elog
-	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
-	elog "   --base-dir=/path/to/desired/dir"
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-12-18 12:08 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-12-18 12:08 UTC (permalink / raw
  To: gentoo-commits

commit:     d4e9a5090d70886b938c3ae2fe4249b6d238eca5
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 18 12:04:06 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Dec 18 12:04:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4e9a509

app-emulation/fs-uae-launcher: Update the icon cache in pkg_postinst

Closes: https://bugs.gentoo.org/829562
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild | 2 ++
 app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild | 2 ++
 2 files changed, 4 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild
index 1ed6d4b64f52..79ca9670131e 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild
@@ -52,6 +52,8 @@ python_install_all() {
 }
 
 pkg_postinst() {
+	xdg_pkg_postinst
+
 	elog "Some important information:"
 	elog
 	ewarn " - Do not use QtCurve, it will crash PyQt5!"

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild
index 1ed6d4b64f52..79ca9670131e 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild
@@ -52,6 +52,8 @@ python_install_all() {
 }
 
 pkg_postinst() {
+	xdg_pkg_postinst
+
 	elog "Some important information:"
 	elog
 	ewarn " - Do not use QtCurve, it will crash PyQt5!"


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-12-18  9:37 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-12-18  9:37 UTC (permalink / raw
  To: gentoo-commits

commit:     1abc2b91998835018f7191a3e4d2b7232f878030
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 18 09:36:58 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Dec 18 09:36:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1abc2b91

app-emulation/fs-uae-launcher: Drop old 3.1.26

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 -
 .../fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild  | 80 ----------------------
 2 files changed, 81 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 7eaa0cb17a39..7bfd8becebc9 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,3 +1,2 @@
-DIST fs-uae-launcher-3.1.26.tar.gz 9656516 BLAKE2B 1b8d12ef91631dedf412976e81529ac7138b7f688ad6ae1ad55bfd3625590ee00aab89d229d2aa64eec577d291a6e634362c557428534c355fdb39e878f40253 SHA512 0e4e542bebfe2d8f862005c016fe70319dd6c5e1e413be9b0ce0421bb95253ba6eb92337989cc86210094b9b02a6ad86da4725f1a65d50673703fa6c6cb58f37
 DIST fs-uae-launcher-3.1.63.tar.xz 7718940 BLAKE2B e1e6102ce6f3e0a5b3f7429ac5894a50b42f2ee26d3b8bf4fec5b39fa199a28d12ebd056ac0c372ce38f78c820dc0c3dec4c4af0918f3a7e5f4b05f944791afb SHA512 d363512c4930f0a245d5333bb5324264244ffc0eb3a39e4ec419cb4861ca9bf5e1f2084405b7f8757f86f0ed9754dbbbbe0aab3391b04898a7d3dc2621346849
 DIST fs-uae-launcher-3.1.64.tar.xz 7719268 BLAKE2B 7753006e40e11d557f9cca90296b189638b832b8c2caebceb3fd5aa0393d3b1236ef2d47b176a900d26ab37012198afeb1549da92ba0570eb9b61df42c896550 SHA512 2f7c485f7707595a847130ebbaad3cf1fe9dc11149744bad2683b1b912a53830b687c0aa5ce97dc95a883182ef51020cc02fa434eac903752530f3780342090a

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
deleted file mode 100644
index ec2ffc2cc226..000000000000
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
+++ /dev/null
@@ -1,80 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9} )
-DISTUTILS_SINGLE_IMPL=1
-DISTUTILS_USE_SETUPTOOLS=no
-
-inherit distutils-r1 xdg
-
-DESCRIPTION="PyQt5-based launcher for FS-UAE"
-HOMEPAGE="https://fs-uae.net/"
-SRC_URI="https://github.com/FrodeSolheim/fs-uae-launcher/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-IUSE="lha"
-RESTRICT="test" # The test files are just boilerplate.
-
-RDEPEND="
-	app-emulation/fs-uae
-	$(python_gen_cond_dep '
-		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
-		dev-python/pyopengl[${PYTHON_USEDEP}]
-		dev-python/requests[${PYTHON_USEDEP}]
-		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
-	')
-"
-
-BDEPEND="
-	sys-devel/gettext
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
-)
-
-src_prepare() {
-	default
-	python bootstrap
-
-	# Unbundle OpenGL library. Keep oyoyo IRC library because upstream
-	# is long dead and it's not worth packaging separately.
-	rm -r OpenGL/ || die
-	sed -i -r "/OpenGL/d" setup.py || die
-}
-
-python_compile_all() {
-	emake
-}
-
-python_install() {
-	local dir=${EPREFIX}/usr/share/${PN}
-	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
-}
-
-python_install_all() {
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
-	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
-	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
-}
-
-pkg_postinst() {
-	elog "Some important information:"
-	elog
-	ewarn " - Do not use QtCurve, it will crash PyQt5!"
-	elog
-	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
-	elog "   If your Documents directory is not configured according to the XDG"
-	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
-	elog
-	elog " - You can override this by putting the path to the desired base"
-	elog "   directory in a special config file. The config file will be read"
-	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
-	elog "   if it exists."
-	elog
-	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
-	elog "   --base-dir=/path/to/desired/dir"
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-12-18  9:37 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-12-18  9:37 UTC (permalink / raw
  To: gentoo-commits

commit:     19fc3396304075179131ade80ad9c2bf3210a75d
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 18 09:36:23 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Dec 18 09:36:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19fc3396

app-emulation/fs-uae-launcher: Version bump to 3.1.64

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 +
 .../fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild  | 70 ++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 1985736e587f..7eaa0cb17a39 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,2 +1,3 @@
 DIST fs-uae-launcher-3.1.26.tar.gz 9656516 BLAKE2B 1b8d12ef91631dedf412976e81529ac7138b7f688ad6ae1ad55bfd3625590ee00aab89d229d2aa64eec577d291a6e634362c557428534c355fdb39e878f40253 SHA512 0e4e542bebfe2d8f862005c016fe70319dd6c5e1e413be9b0ce0421bb95253ba6eb92337989cc86210094b9b02a6ad86da4725f1a65d50673703fa6c6cb58f37
 DIST fs-uae-launcher-3.1.63.tar.xz 7718940 BLAKE2B e1e6102ce6f3e0a5b3f7429ac5894a50b42f2ee26d3b8bf4fec5b39fa199a28d12ebd056ac0c372ce38f78c820dc0c3dec4c4af0918f3a7e5f4b05f944791afb SHA512 d363512c4930f0a245d5333bb5324264244ffc0eb3a39e4ec419cb4861ca9bf5e1f2084405b7f8757f86f0ed9754dbbbbe0aab3391b04898a7d3dc2621346849
+DIST fs-uae-launcher-3.1.64.tar.xz 7719268 BLAKE2B 7753006e40e11d557f9cca90296b189638b832b8c2caebceb3fd5aa0393d3b1236ef2d47b176a900d26ab37012198afeb1549da92ba0570eb9b61df42c896550 SHA512 2f7c485f7707595a847130ebbaad3cf1fe9dc11149744bad2683b1b912a53830b687c0aa5ce97dc95a883182ef51020cc02fa434eac903752530f3780342090a

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild
new file mode 100644
index 000000000000..1ed6d4b64f52
--- /dev/null
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.64.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="PyQt5-based launcher for FS-UAE"
+HOMEPAGE="https://fs-uae.net/"
+SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="lha"
+RESTRICT="test" # The test files are just boilerplate.
+
+RDEPEND="
+	app-emulation/fs-uae
+	$(python_gen_cond_dep '
+		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
+		dev-python/pyopengl[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
+	')
+"
+
+BDEPEND="
+	sys-devel/gettext
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
+)
+
+python_compile_all() {
+	emake
+}
+
+python_install() {
+	local dir=${EPREFIX}/usr/share/${PN}
+	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
+}
+
+python_install_all() {
+	dosym ../share/${PN}/${PN} /usr/bin/${PN}
+	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
+	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
+}
+
+pkg_postinst() {
+	elog "Some important information:"
+	elog
+	ewarn " - Do not use QtCurve, it will crash PyQt5!"
+	elog
+	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
+	elog "   If your Documents directory is not configured according to the XDG"
+	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
+	elog
+	elog " - You can override this by putting the path to the desired base"
+	elog "   directory in a special config file. The config file will be read"
+	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
+	elog "   if it exists."
+	elog
+	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
+	elog "   --base-dir=/path/to/desired/dir"
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-11-27  9:12 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-11-27  9:12 UTC (permalink / raw
  To: gentoo-commits

commit:     0f0e7100280be0795103780ec22ebb706702d8ba
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 27 09:08:07 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Nov 27 09:12:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f0e7100

app-emulation/fs-uae-launcher: Version bump to 3.1.63

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 +
 .../fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild  | 70 ++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index a0fb4b3777af..a4d1cf012514 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,3 +1,4 @@
 DIST fs-uae-launcher-3.1.26.tar.gz 9656516 BLAKE2B 1b8d12ef91631dedf412976e81529ac7138b7f688ad6ae1ad55bfd3625590ee00aab89d229d2aa64eec577d291a6e634362c557428534c355fdb39e878f40253 SHA512 0e4e542bebfe2d8f862005c016fe70319dd6c5e1e413be9b0ce0421bb95253ba6eb92337989cc86210094b9b02a6ad86da4725f1a65d50673703fa6c6cb58f37
 DIST fs-uae-launcher-3.1.43.tar.xz 7785544 BLAKE2B 504d97dbc2bff7bc6abe065854e51b1ce51d40aec582586473629a77626c750510b4f885d3679a734d2dc7c889e9b18f41c27ea924ea7134641de2df16a0b404 SHA512 df19c4a3897b089daaee869226dfe2adfa990e0f8e30772e482e27a21c64f7d9d3369e8d6b0c72ac6119e207e9978f2052a7d681fe4f40b99e5ec48161e2a0fe
 DIST fs-uae-launcher-3.1.46.tar.xz 7820988 BLAKE2B 9c6bb28c00a41f71067d13ec40f947bf20d447dcc32b3d1e9053204b70699bc6b8ad89776421a8feb6ecad325b320e4b11e32abd65002650583c14890a41f85c SHA512 f96d01a0e2f985e02238fde482457d1859e04bde3c5a43dfbabc47c57ae7fea89970174931d95eb1679fc1ef6be0d52bef40e33f8d66e79fd0327af863290c06
+DIST fs-uae-launcher-3.1.63.tar.xz 7718940 BLAKE2B e1e6102ce6f3e0a5b3f7429ac5894a50b42f2ee26d3b8bf4fec5b39fa199a28d12ebd056ac0c372ce38f78c820dc0c3dec4c4af0918f3a7e5f4b05f944791afb SHA512 d363512c4930f0a245d5333bb5324264244ffc0eb3a39e4ec419cb4861ca9bf5e1f2084405b7f8757f86f0ed9754dbbbbe0aab3391b04898a7d3dc2621346849

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild
new file mode 100644
index 000000000000..1ed6d4b64f52
--- /dev/null
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.63.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="PyQt5-based launcher for FS-UAE"
+HOMEPAGE="https://fs-uae.net/"
+SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="lha"
+RESTRICT="test" # The test files are just boilerplate.
+
+RDEPEND="
+	app-emulation/fs-uae
+	$(python_gen_cond_dep '
+		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
+		dev-python/pyopengl[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
+	')
+"
+
+BDEPEND="
+	sys-devel/gettext
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
+)
+
+python_compile_all() {
+	emake
+}
+
+python_install() {
+	local dir=${EPREFIX}/usr/share/${PN}
+	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
+}
+
+python_install_all() {
+	dosym ../share/${PN}/${PN} /usr/bin/${PN}
+	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
+	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
+}
+
+pkg_postinst() {
+	elog "Some important information:"
+	elog
+	ewarn " - Do not use QtCurve, it will crash PyQt5!"
+	elog
+	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
+	elog "   If your Documents directory is not configured according to the XDG"
+	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
+	elog
+	elog " - You can override this by putting the path to the desired base"
+	elog "   directory in a special config file. The config file will be read"
+	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
+	elog "   if it exists."
+	elog
+	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
+	elog "   --base-dir=/path/to/desired/dir"
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-11-27  9:12 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-11-27  9:12 UTC (permalink / raw
  To: gentoo-commits

commit:     5c7b9c7c307b72bdd7b8caa3f3f60831792b7426
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 27 09:08:40 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Nov 27 09:12:19 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c7b9c7c

app-emulation/fs-uae-launcher: Drop old 3.1.43 and 3.1.46

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  2 -
 .../fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild  | 70 ----------------------
 .../fs-uae-launcher/fs-uae-launcher-3.1.46.ebuild  | 70 ----------------------
 3 files changed, 142 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index a4d1cf012514..1985736e587f 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,4 +1,2 @@
 DIST fs-uae-launcher-3.1.26.tar.gz 9656516 BLAKE2B 1b8d12ef91631dedf412976e81529ac7138b7f688ad6ae1ad55bfd3625590ee00aab89d229d2aa64eec577d291a6e634362c557428534c355fdb39e878f40253 SHA512 0e4e542bebfe2d8f862005c016fe70319dd6c5e1e413be9b0ce0421bb95253ba6eb92337989cc86210094b9b02a6ad86da4725f1a65d50673703fa6c6cb58f37
-DIST fs-uae-launcher-3.1.43.tar.xz 7785544 BLAKE2B 504d97dbc2bff7bc6abe065854e51b1ce51d40aec582586473629a77626c750510b4f885d3679a734d2dc7c889e9b18f41c27ea924ea7134641de2df16a0b404 SHA512 df19c4a3897b089daaee869226dfe2adfa990e0f8e30772e482e27a21c64f7d9d3369e8d6b0c72ac6119e207e9978f2052a7d681fe4f40b99e5ec48161e2a0fe
-DIST fs-uae-launcher-3.1.46.tar.xz 7820988 BLAKE2B 9c6bb28c00a41f71067d13ec40f947bf20d447dcc32b3d1e9053204b70699bc6b8ad89776421a8feb6ecad325b320e4b11e32abd65002650583c14890a41f85c SHA512 f96d01a0e2f985e02238fde482457d1859e04bde3c5a43dfbabc47c57ae7fea89970174931d95eb1679fc1ef6be0d52bef40e33f8d66e79fd0327af863290c06
 DIST fs-uae-launcher-3.1.63.tar.xz 7718940 BLAKE2B e1e6102ce6f3e0a5b3f7429ac5894a50b42f2ee26d3b8bf4fec5b39fa199a28d12ebd056ac0c372ce38f78c820dc0c3dec4c4af0918f3a7e5f4b05f944791afb SHA512 d363512c4930f0a245d5333bb5324264244ffc0eb3a39e4ec419cb4861ca9bf5e1f2084405b7f8757f86f0ed9754dbbbbe0aab3391b04898a7d3dc2621346849

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild
deleted file mode 100644
index 1ed6d4b64f52..000000000000
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9} )
-DISTUTILS_SINGLE_IMPL=1
-DISTUTILS_USE_SETUPTOOLS=no
-
-inherit distutils-r1 xdg
-
-DESCRIPTION="PyQt5-based launcher for FS-UAE"
-HOMEPAGE="https://fs-uae.net/"
-SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-IUSE="lha"
-RESTRICT="test" # The test files are just boilerplate.
-
-RDEPEND="
-	app-emulation/fs-uae
-	$(python_gen_cond_dep '
-		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
-		dev-python/pyopengl[${PYTHON_USEDEP}]
-		dev-python/requests[${PYTHON_USEDEP}]
-		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
-	')
-"
-
-BDEPEND="
-	sys-devel/gettext
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
-)
-
-python_compile_all() {
-	emake
-}
-
-python_install() {
-	local dir=${EPREFIX}/usr/share/${PN}
-	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
-}
-
-python_install_all() {
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
-	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
-	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
-}
-
-pkg_postinst() {
-	elog "Some important information:"
-	elog
-	ewarn " - Do not use QtCurve, it will crash PyQt5!"
-	elog
-	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
-	elog "   If your Documents directory is not configured according to the XDG"
-	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
-	elog
-	elog " - You can override this by putting the path to the desired base"
-	elog "   directory in a special config file. The config file will be read"
-	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
-	elog "   if it exists."
-	elog
-	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
-	elog "   --base-dir=/path/to/desired/dir"
-}

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.46.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.46.ebuild
deleted file mode 100644
index 1ed6d4b64f52..000000000000
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.46.ebuild
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9} )
-DISTUTILS_SINGLE_IMPL=1
-DISTUTILS_USE_SETUPTOOLS=no
-
-inherit distutils-r1 xdg
-
-DESCRIPTION="PyQt5-based launcher for FS-UAE"
-HOMEPAGE="https://fs-uae.net/"
-SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-IUSE="lha"
-RESTRICT="test" # The test files are just boilerplate.
-
-RDEPEND="
-	app-emulation/fs-uae
-	$(python_gen_cond_dep '
-		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
-		dev-python/pyopengl[${PYTHON_USEDEP}]
-		dev-python/requests[${PYTHON_USEDEP}]
-		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
-	')
-"
-
-BDEPEND="
-	sys-devel/gettext
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
-)
-
-python_compile_all() {
-	emake
-}
-
-python_install() {
-	local dir=${EPREFIX}/usr/share/${PN}
-	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
-}
-
-python_install_all() {
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
-	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
-	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
-}
-
-pkg_postinst() {
-	elog "Some important information:"
-	elog
-	ewarn " - Do not use QtCurve, it will crash PyQt5!"
-	elog
-	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
-	elog "   If your Documents directory is not configured according to the XDG"
-	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
-	elog
-	elog " - You can override this by putting the path to the desired base"
-	elog "   directory in a special config file. The config file will be read"
-	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
-	elog "   if it exists."
-	elog
-	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
-	elog "   --base-dir=/path/to/desired/dir"
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-11-22 23:22 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-11-22 23:22 UTC (permalink / raw
  To: gentoo-commits

commit:     fc5ce70fecb27454a500ef75459f0e580ed0102c
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 22 23:21:53 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Nov 22 23:21:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc5ce70f

app-emulation/fs-uae-launcher: Keyword 3.1.43 for ~ppc64

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild
index 0e2771eb08e8..1ed6d4b64f52 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild
@@ -14,7 +14,7 @@ HOMEPAGE="https://fs-uae.net/"
 SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~ppc64"
 IUSE="lha"
 RESTRICT="test" # The test files are just boilerplate.
 


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-11-22 23:22 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-11-22 23:22 UTC (permalink / raw
  To: gentoo-commits

commit:     1462b4ea0eaec237297631d3c21c5edca21d70ed
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 22 23:20:13 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Nov 22 23:21:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1462b4ea

app-emulation/fs-uae-launcher: Version bump to 3.1.46

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 +
 .../fs-uae-launcher/fs-uae-launcher-3.1.46.ebuild  | 70 ++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 588095e995c0..a0fb4b3777af 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,2 +1,3 @@
 DIST fs-uae-launcher-3.1.26.tar.gz 9656516 BLAKE2B 1b8d12ef91631dedf412976e81529ac7138b7f688ad6ae1ad55bfd3625590ee00aab89d229d2aa64eec577d291a6e634362c557428534c355fdb39e878f40253 SHA512 0e4e542bebfe2d8f862005c016fe70319dd6c5e1e413be9b0ce0421bb95253ba6eb92337989cc86210094b9b02a6ad86da4725f1a65d50673703fa6c6cb58f37
 DIST fs-uae-launcher-3.1.43.tar.xz 7785544 BLAKE2B 504d97dbc2bff7bc6abe065854e51b1ce51d40aec582586473629a77626c750510b4f885d3679a734d2dc7c889e9b18f41c27ea924ea7134641de2df16a0b404 SHA512 df19c4a3897b089daaee869226dfe2adfa990e0f8e30772e482e27a21c64f7d9d3369e8d6b0c72ac6119e207e9978f2052a7d681fe4f40b99e5ec48161e2a0fe
+DIST fs-uae-launcher-3.1.46.tar.xz 7820988 BLAKE2B 9c6bb28c00a41f71067d13ec40f947bf20d447dcc32b3d1e9053204b70699bc6b8ad89776421a8feb6ecad325b320e4b11e32abd65002650583c14890a41f85c SHA512 f96d01a0e2f985e02238fde482457d1859e04bde3c5a43dfbabc47c57ae7fea89970174931d95eb1679fc1ef6be0d52bef40e33f8d66e79fd0327af863290c06

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.46.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.46.ebuild
new file mode 100644
index 000000000000..1ed6d4b64f52
--- /dev/null
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.46.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="PyQt5-based launcher for FS-UAE"
+HOMEPAGE="https://fs-uae.net/"
+SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="lha"
+RESTRICT="test" # The test files are just boilerplate.
+
+RDEPEND="
+	app-emulation/fs-uae
+	$(python_gen_cond_dep '
+		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
+		dev-python/pyopengl[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
+	')
+"
+
+BDEPEND="
+	sys-devel/gettext
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
+)
+
+python_compile_all() {
+	emake
+}
+
+python_install() {
+	local dir=${EPREFIX}/usr/share/${PN}
+	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
+}
+
+python_install_all() {
+	dosym ../share/${PN}/${PN} /usr/bin/${PN}
+	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
+	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
+}
+
+pkg_postinst() {
+	elog "Some important information:"
+	elog
+	ewarn " - Do not use QtCurve, it will crash PyQt5!"
+	elog
+	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
+	elog "   If your Documents directory is not configured according to the XDG"
+	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
+	elog
+	elog " - You can override this by putting the path to the desired base"
+	elog "   directory in a special config file. The config file will be read"
+	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
+	elog "   if it exists."
+	elog
+	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
+	elog "   --base-dir=/path/to/desired/dir"
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-11-19 20:17 Arthur Zamarin
  0 siblings, 0 replies; 25+ messages in thread
From: Arthur Zamarin @ 2021-11-19 20:17 UTC (permalink / raw
  To: gentoo-commits

commit:     bf6154c26cc5a5b0e740422aade416b7cef63943
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 19 20:14:06 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Nov 19 20:17:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf6154c2

app-emulation/fs-uae-launcher: Keyword 3.1.26 ppc64, #820770

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
index 8bee34a33844..ec2ffc2cc226 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
@@ -14,7 +14,7 @@ HOMEPAGE="https://fs-uae.net/"
 SRC_URI="https://github.com/FrodeSolheim/fs-uae-launcher/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~ppc64"
 IUSE="lha"
 RESTRICT="test" # The test files are just boilerplate.
 


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-11-15 23:29 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-11-15 23:29 UTC (permalink / raw
  To: gentoo-commits

commit:     280e62584f680f320543e5a2ff2adee9e5a3a778
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 15 23:27:24 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Nov 15 23:28:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=280e6258

app-emulation/fs-uae-launcher: Version bump to 3.1.43

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 +
 .../fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild  | 70 ++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 72da28753327..553794705ff2 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,2 +1,3 @@
 DIST fs-uae-launcher-3.0.5.tar.gz 9633819 BLAKE2B 8ce627302244bbd7d174f28c0dad345699942429c1109a7408c88412f6bb0e3e5d765e6c51abf2b95837a83261023b4f9c58d65892e58043889be8dc5e4cb759 SHA512 1a6700c56a14edce86ffbefee7494117af067da8b1dbc22937a36641ccb90927a3bbb011d15a891388bf08378aa623e00a2d45dbc49e822a5a569e110843add5
 DIST fs-uae-launcher-3.1.26.tar.gz 9656516 BLAKE2B 1b8d12ef91631dedf412976e81529ac7138b7f688ad6ae1ad55bfd3625590ee00aab89d229d2aa64eec577d291a6e634362c557428534c355fdb39e878f40253 SHA512 0e4e542bebfe2d8f862005c016fe70319dd6c5e1e413be9b0ce0421bb95253ba6eb92337989cc86210094b9b02a6ad86da4725f1a65d50673703fa6c6cb58f37
+DIST fs-uae-launcher-3.1.43.tar.xz 7785544 BLAKE2B 504d97dbc2bff7bc6abe065854e51b1ce51d40aec582586473629a77626c750510b4f885d3679a734d2dc7c889e9b18f41c27ea924ea7134641de2df16a0b404 SHA512 df19c4a3897b089daaee869226dfe2adfa990e0f8e30772e482e27a21c64f7d9d3369e8d6b0c72ac6119e207e9978f2052a7d681fe4f40b99e5ec48161e2a0fe

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild
new file mode 100644
index 000000000000..0e2771eb08e8
--- /dev/null
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.43.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="PyQt5-based launcher for FS-UAE"
+HOMEPAGE="https://fs-uae.net/"
+SRC_URI="https://fs-uae.net/files/FS-UAE-Launcher/Stable/${PV}/${P}.tar.xz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="lha"
+RESTRICT="test" # The test files are just boilerplate.
+
+RDEPEND="
+	app-emulation/fs-uae
+	$(python_gen_cond_dep '
+		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
+		dev-python/pyopengl[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
+	')
+"
+
+BDEPEND="
+	sys-devel/gettext
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
+)
+
+python_compile_all() {
+	emake
+}
+
+python_install() {
+	local dir=${EPREFIX}/usr/share/${PN}
+	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
+}
+
+python_install_all() {
+	dosym ../share/${PN}/${PN} /usr/bin/${PN}
+	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
+	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
+}
+
+pkg_postinst() {
+	elog "Some important information:"
+	elog
+	ewarn " - Do not use QtCurve, it will crash PyQt5!"
+	elog
+	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
+	elog "   If your Documents directory is not configured according to the XDG"
+	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
+	elog
+	elog " - You can override this by putting the path to the desired base"
+	elog "   directory in a special config file. The config file will be read"
+	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
+	elog "   if it exists."
+	elog
+	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
+	elog "   --base-dir=/path/to/desired/dir"
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-11-15 23:29 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-11-15 23:29 UTC (permalink / raw
  To: gentoo-commits

commit:     0523c69f478056149f0322be37f7e600a29c1c29
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 15 23:28:55 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Nov 15 23:28:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0523c69f

app-emulation/fs-uae-launcher: Drop old 3.0.5

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 -
 .../fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild   | 79 ----------------------
 2 files changed, 80 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 553794705ff2..588095e995c0 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,3 +1,2 @@
-DIST fs-uae-launcher-3.0.5.tar.gz 9633819 BLAKE2B 8ce627302244bbd7d174f28c0dad345699942429c1109a7408c88412f6bb0e3e5d765e6c51abf2b95837a83261023b4f9c58d65892e58043889be8dc5e4cb759 SHA512 1a6700c56a14edce86ffbefee7494117af067da8b1dbc22937a36641ccb90927a3bbb011d15a891388bf08378aa623e00a2d45dbc49e822a5a569e110843add5
 DIST fs-uae-launcher-3.1.26.tar.gz 9656516 BLAKE2B 1b8d12ef91631dedf412976e81529ac7138b7f688ad6ae1ad55bfd3625590ee00aab89d229d2aa64eec577d291a6e634362c557428534c355fdb39e878f40253 SHA512 0e4e542bebfe2d8f862005c016fe70319dd6c5e1e413be9b0ce0421bb95253ba6eb92337989cc86210094b9b02a6ad86da4725f1a65d50673703fa6c6cb58f37
 DIST fs-uae-launcher-3.1.43.tar.xz 7785544 BLAKE2B 504d97dbc2bff7bc6abe065854e51b1ce51d40aec582586473629a77626c750510b4f885d3679a734d2dc7c889e9b18f41c27ea924ea7134641de2df16a0b404 SHA512 df19c4a3897b089daaee869226dfe2adfa990e0f8e30772e482e27a21c64f7d9d3369e8d6b0c72ac6119e207e9978f2052a7d681fe4f40b99e5ec48161e2a0fe

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild
deleted file mode 100644
index 8c176e122d91..000000000000
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{8,9} )
-DISTUTILS_SINGLE_IMPL=1
-DISTUTILS_USE_SETUPTOOLS=no
-
-inherit distutils-r1 xdg
-
-DESCRIPTION="PyQt5-based launcher for FS-UAE"
-HOMEPAGE="https://fs-uae.net/"
-SRC_URI="https://fs-uae.net/stable/${PV}/${P}.tar.gz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="lha"
-RESTRICT="test" # The test files are just boilerplate.
-
-RDEPEND="
-	app-emulation/fs-uae
-	$(python_gen_cond_dep '
-		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
-		dev-python/pyopengl[${PYTHON_USEDEP}]
-		dev-python/requests[${PYTHON_USEDEP}]
-		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
-	')
-"
-
-BDEPEND="
-	sys-devel/gettext
-"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
-)
-
-src_prepare() {
-	default
-
-	# Unbundle OpenGL library. Keep oyoyo IRC library because upstream
-	# is long dead and it's not worth packaging separately.
-	rm -r OpenGL/ || die
-	sed -i -r "/OpenGL/d" setup.py || die
-}
-
-python_compile_all() {
-	emake
-}
-
-python_install() {
-	local dir=${EPREFIX}/usr/share/${PN}
-	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
-}
-
-python_install_all() {
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
-	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
-	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
-}
-
-pkg_postinst() {
-	elog "Some important information:"
-	elog
-	ewarn " - Do not use QtCurve, it will crash PyQt5!"
-	elog
-	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
-	elog "   If your Documents directory is not configured according to the XDG"
-	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
-	elog
-	elog " - You can override this by putting the path to the desired base"
-	elog "   directory in a special config file. The config file will be read"
-	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
-	elog "   if it exists."
-	elog
-	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
-	elog "   --base-dir=/path/to/desired/dir"
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-10-16 23:10 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-10-16 23:10 UTC (permalink / raw
  To: gentoo-commits

commit:     e760b4bb5fc1320fb4d71d4ec3892f293d530ad1
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 16 23:10:06 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Oct 16 23:10:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e760b4bb

app-emulation/fs-uae-launcher: Restrict boilerplate tests

I tried to do this with 3.1.26 but typoed RESTRICT.

Closes: https://bugs.gentoo.org/795906
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild  | 1 +
 app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild
index 915e269763e..8c176e122d9 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild
@@ -16,6 +16,7 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64"
 IUSE="lha"
+RESTRICT="test" # The test files are just boilerplate.
 
 RDEPEND="
 	app-emulation/fs-uae

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
index 537313395f8..8bee34a3384 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
@@ -16,7 +16,7 @@ LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64"
 IUSE="lha"
-RETRICT="test" # The test files are just boilerplate.
+RESTRICT="test" # The test files are just boilerplate.
 
 RDEPEND="
 	app-emulation/fs-uae


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-10-16 11:43 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-10-16 11:43 UTC (permalink / raw
  To: gentoo-commits

commit:     3e26dd9088a0c10ba11063d0b6b8eaf61fa6b347
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 16 11:42:40 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Oct 16 11:42:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e26dd90

app-emulation/fs-uae-launcher: Version bump to 3.1.26, EAPI 8

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 +
 .../fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild  | 80 ++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 1513151a076..72da2875332 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1 +1,2 @@
 DIST fs-uae-launcher-3.0.5.tar.gz 9633819 BLAKE2B 8ce627302244bbd7d174f28c0dad345699942429c1109a7408c88412f6bb0e3e5d765e6c51abf2b95837a83261023b4f9c58d65892e58043889be8dc5e4cb759 SHA512 1a6700c56a14edce86ffbefee7494117af067da8b1dbc22937a36641ccb90927a3bbb011d15a891388bf08378aa623e00a2d45dbc49e822a5a569e110843add5
+DIST fs-uae-launcher-3.1.26.tar.gz 9656516 BLAKE2B 1b8d12ef91631dedf412976e81529ac7138b7f688ad6ae1ad55bfd3625590ee00aab89d229d2aa64eec577d291a6e634362c557428534c355fdb39e878f40253 SHA512 0e4e542bebfe2d8f862005c016fe70319dd6c5e1e413be9b0ce0421bb95253ba6eb92337989cc86210094b9b02a6ad86da4725f1a65d50673703fa6c6cb58f37

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
new file mode 100644
index 00000000000..537313395f8
--- /dev/null
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.1.26.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="PyQt5-based launcher for FS-UAE"
+HOMEPAGE="https://fs-uae.net/"
+SRC_URI="https://github.com/FrodeSolheim/fs-uae-launcher/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="lha"
+RETRICT="test" # The test files are just boilerplate.
+
+RDEPEND="
+	app-emulation/fs-uae
+	$(python_gen_cond_dep '
+		dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
+		dev-python/pyopengl[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
+	')
+"
+
+BDEPEND="
+	sys-devel/gettext
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
+)
+
+src_prepare() {
+	default
+	python bootstrap
+
+	# Unbundle OpenGL library. Keep oyoyo IRC library because upstream
+	# is long dead and it's not worth packaging separately.
+	rm -r OpenGL/ || die
+	sed -i -r "/OpenGL/d" setup.py || die
+}
+
+python_compile_all() {
+	emake
+}
+
+python_install() {
+	local dir=${EPREFIX}/usr/share/${PN}
+	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
+}
+
+python_install_all() {
+	dosym ../share/${PN}/${PN} /usr/bin/${PN}
+	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
+	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
+}
+
+pkg_postinst() {
+	elog "Some important information:"
+	elog
+	ewarn " - Do not use QtCurve, it will crash PyQt5!"
+	elog
+	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
+	elog "   If your Documents directory is not configured according to the XDG"
+	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
+	elog
+	elog " - You can override this by putting the path to the desired base"
+	elog "   directory in a special config file. The config file will be read"
+	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
+	elog "   if it exists."
+	elog
+	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
+	elog "   --base-dir=/path/to/desired/dir"
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2021-02-27  8:57 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2021-02-27  8:57 UTC (permalink / raw
  To: gentoo-commits

commit:     3d9a83f35ca539c8945064c201112b6736643fec
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 08:57:14 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 08:57:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d9a83f3

app-emulation/fs-uae-launcher: Add Python 3.9

Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild
index 6de8fc5c429..76303d3e0ae 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7,8,9} )
 DISTUTILS_SINGLE_IMPL=1
 DISTUTILS_USE_SETUPTOOLS=no
 


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2020-04-28 23:12 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2020-04-28 23:12 UTC (permalink / raw
  To: gentoo-commits

commit:     befdf7f30822210c24f4a53cbfac64dd23c7f742
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 28 23:11:56 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Tue Apr 28 23:11:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=befdf7f3

app-emulation/fs-uae-launcher: Bump to 3.0.5, drop old 3.0.3

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest                                  | 2 +-
 .../{fs-uae-launcher-3.0.3.ebuild => fs-uae-launcher-3.0.5.ebuild}      | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 7473dab446a..1513151a076 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1 +1 @@
-DIST fs-uae-launcher-3.0.3.tar.gz 9633064 BLAKE2B e5f80762407d95a64611121aaf936efaa915bdaef85a87e20998c0349f3f9c9b0640de0a9122c57b957ef031b15461012b5a8aecf13147d987b5db647b26e983 SHA512 dcb88af8e6f791dba9a48aa6fa706dd99288f1fe4b44250cc9c55342eee943c52f94c53b502fe8d570cc259f54583f345ed430e0e3a9878bd2a966ade4789b3c
+DIST fs-uae-launcher-3.0.5.tar.gz 9633819 BLAKE2B 8ce627302244bbd7d174f28c0dad345699942429c1109a7408c88412f6bb0e3e5d765e6c51abf2b95837a83261023b4f9c58d65892e58043889be8dc5e4cb759 SHA512 1a6700c56a14edce86ffbefee7494117af067da8b1dbc22937a36641ccb90927a3bbb011d15a891388bf08378aa623e00a2d45dbc49e822a5a569e110843add5

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild
similarity index 100%
rename from app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild
rename to app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.5.ebuild


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2020-04-23 21:24 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2020-04-23 21:24 UTC (permalink / raw
  To: gentoo-commits

commit:     d09e23d78db4632f8d5e72382eca67be5d4e91d1
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 23 21:23:17 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Apr 23 21:24:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d09e23d7

app-emulation/fs-uae-launcher: Fix following eclass changes, add Py3.8

Closes: https://bugs.gentoo.org/718372
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 .../fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild     | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild
index 53aa235293c..14013d591da 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.3.ebuild
@@ -3,10 +3,11 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7,8} )
 DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
 
-inherit distutils-r1 xdg-utils
+inherit distutils-r1 xdg
 
 DESCRIPTION="PyQt5-based launcher for FS-UAE"
 HOMEPAGE="https://fs-uae.net/"
@@ -26,7 +27,7 @@ RDEPEND="
 	')
 "
 
-DEPEND="
+BDEPEND="
 	sys-devel/gettext
 "
 
@@ -39,19 +40,21 @@ src_prepare() {
 
 	# Unbundle OpenGL library. Keep oyoyo IRC library because upstream
 	# is long dead and it's not worth packaging separately.
-	rm -r OpenGL || die
+	rm -r OpenGL/ || die
 	sed -i -r "/OpenGL/d" setup.py || die
 }
 
-src_compile() {
+python_compile_all() {
 	emake
 }
 
-src_install() {
+python_install() {
 	local dir=${EPREFIX}/usr/share/${PN}
 	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
+}
 
+python_install_all() {
+	dosym ../share/${PN}/${PN} /usr/bin/${PN}
 	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
 	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
 }
@@ -73,6 +76,3 @@ pkg_postinst() {
 	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
 	elog "   --base-dir=/path/to/desired/dir"
 }
-
-pkg_postinst() { xdg_icon_cache_update; }
-pkg_postrm() { xdg_icon_cache_update; }


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2019-11-21 23:49 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2019-11-21 23:49 UTC (permalink / raw
  To: gentoo-commits

commit:     42cc9eef810fd55ae1513867cd54d2bb08747548
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 21 23:48:59 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Nov 21 23:48:59 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42cc9eef

app-emulation/fs-uae-launcher: Drop old 3.0.0

Package-Manager: Portage-2.3.79, Repoman-2.3.17
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 -
 .../fs-uae-launcher/fs-uae-launcher-3.0.0.ebuild   | 77 ----------------------
 2 files changed, 78 deletions(-)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index fc8d7ab0e50..c6d0aab8327 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,2 +1 @@
-DIST fs-uae-launcher-3.0.0.tar.gz 9631352 BLAKE2B dc2f940cbde1fe9d2386e512bf5c0ca9a4ea19332826095cc5ba95e90c7f6cfaf0cd5dbaa692c192ac7d74a3ddf245062a0faeeccc9d8a135e544d304119e239 SHA512 76f9c48d2a46ece38aebb318a6d684ff40e85fef76bcc6ac57c7f397c828dae45541ba458a7792f102a8afc69a4183b9932b637318716a8b40ff3dbd3b37cad7
 DIST fs-uae-launcher-3.0.2.tar.gz 9633002 BLAKE2B 81e5a9cbdb4f094735fdbffa291c86bea74e3306ea1bc8365ba215daf970665ab45515c82dd180bfc965f5a2ff83c29a9cd8b21b343e6e6c7ebb4d95dbafd8d0 SHA512 6e9d5588b4cee79b7d5468b7d5e3d6c82e54957fcb0b05d3e9d1da8710336f0af82821fea37ee4cf4e0dc12ead6096183fe488afe860ce11573fd828718ba3d3

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.0.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.0.ebuild
deleted file mode 100644
index 62652d3eb99..00000000000
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.0.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7} )
-DISTUTILS_SINGLE_IMPL=1
-
-inherit distutils-r1 xdg-utils
-
-DESCRIPTION="PyQt5-based launcher for FS-UAE"
-HOMEPAGE="https://fs-uae.net/"
-SRC_URI="https://fs-uae.net/stable/${PV}/${P}.tar.gz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="lha"
-
-RDEPEND="
-	app-emulation/fs-uae
-	dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
-	dev-python/pyopengl[${PYTHON_USEDEP}]
-	dev-python/requests[${PYTHON_USEDEP}]
-	lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
-"
-
-DEPEND="
-	sys-devel/gettext
-"
-
-PATCHES=(
-	"${FILESDIR}"/${P}-ROMs.patch
-	"${FILESDIR}"/${PN}-2.8.3-QApplication.patch
-)
-
-src_prepare() {
-	default
-
-	# Unbundle OpenGL library. Keep oyoyo IRC library because upstream
-	# is long dead and it's not worth packaging separately.
-	rm -r OpenGL || die
-	sed -i -r "/OpenGL/d" setup.py || die
-}
-
-src_compile() {
-	emake
-}
-
-src_install() {
-	local dir=${EPREFIX}/usr/share/${PN}
-	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
-	dosym ../share/${PN}/${PN} /usr/bin/${PN}
-
-	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
-	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
-}
-
-pkg_postinst() {
-	elog "Some important information:"
-	elog
-	ewarn " - Do not use QtCurve, it will crash PyQt5!"
-	elog
-	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
-	elog "   If your Documents directory is not configured according to the XDG"
-	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
-	elog
-	elog " - You can override this by putting the path to the desired base"
-	elog "   directory in a special config file. The config file will be read"
-	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
-	elog "   if it exists."
-	elog
-	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
-	elog "   --base-dir=/path/to/desired/dir"
-}
-
-pkg_postinst() { xdg_icon_cache_update; }
-pkg_postrm() { xdg_icon_cache_update; }


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2019-11-21 23:49 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2019-11-21 23:49 UTC (permalink / raw
  To: gentoo-commits

commit:     daaf54288bf0e7b44a929fbcf3fd60320cebb28b
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 21 23:48:29 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Nov 21 23:48:29 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=daaf5428

app-emulation/fs-uae-launcher: Version bump to 3.0.0

Package-Manager: Portage-2.3.79, Repoman-2.3.17
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 +
 .../fs-uae-launcher/fs-uae-launcher-3.0.2.ebuild   | 77 ++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/Manifest b/app-emulation/fs-uae-launcher/Manifest
index 2f9ff45fdb8..fc8d7ab0e50 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1 +1,2 @@
 DIST fs-uae-launcher-3.0.0.tar.gz 9631352 BLAKE2B dc2f940cbde1fe9d2386e512bf5c0ca9a4ea19332826095cc5ba95e90c7f6cfaf0cd5dbaa692c192ac7d74a3ddf245062a0faeeccc9d8a135e544d304119e239 SHA512 76f9c48d2a46ece38aebb318a6d684ff40e85fef76bcc6ac57c7f397c828dae45541ba458a7792f102a8afc69a4183b9932b637318716a8b40ff3dbd3b37cad7
+DIST fs-uae-launcher-3.0.2.tar.gz 9633002 BLAKE2B 81e5a9cbdb4f094735fdbffa291c86bea74e3306ea1bc8365ba215daf970665ab45515c82dd180bfc965f5a2ff83c29a9cd8b21b343e6e6c7ebb4d95dbafd8d0 SHA512 6e9d5588b4cee79b7d5468b7d5e3d6c82e54957fcb0b05d3e9d1da8710336f0af82821fea37ee4cf4e0dc12ead6096183fe488afe860ce11573fd828718ba3d3

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.2.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.2.ebuild
new file mode 100644
index 00000000000..57269efa716
--- /dev/null
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.0.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="PyQt5-based launcher for FS-UAE"
+HOMEPAGE="https://fs-uae.net/"
+SRC_URI="https://fs-uae.net/stable/${PV}/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="lha"
+
+RDEPEND="
+	app-emulation/fs-uae
+	dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
+	dev-python/pyopengl[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
+"
+
+DEPEND="
+	sys-devel/gettext
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.0.0-ROMs.patch
+	"${FILESDIR}"/${PN}-2.8.3-QApplication.patch
+)
+
+src_prepare() {
+	default
+
+	# Unbundle OpenGL library. Keep oyoyo IRC library because upstream
+	# is long dead and it's not worth packaging separately.
+	rm -r OpenGL || die
+	sed -i -r "/OpenGL/d" setup.py || die
+}
+
+src_compile() {
+	emake
+}
+
+src_install() {
+	local dir=${EPREFIX}/usr/share/${PN}
+	distutils-r1_python_install --install-lib="${dir}" --install-scripts="${dir}"
+	dosym ../share/${PN}/${PN} /usr/bin/${PN}
+
+	emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
+	mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
+}
+
+pkg_postinst() {
+	elog "Some important information:"
+	elog
+	ewarn " - Do not use QtCurve, it will crash PyQt5!"
+	elog
+	elog " - By default, FS-UAE creates its directories under Documents/FS-UAE."
+	elog "   If your Documents directory is not configured according to the XDG"
+	elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
+	elog
+	elog " - You can override this by putting the path to the desired base"
+	elog "   directory in a special config file. The config file will be read"
+	elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE Launcher"
+	elog "   if it exists."
+	elog
+	elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher with"
+	elog "   --base-dir=/path/to/desired/dir"
+}
+
+pkg_postinst() { xdg_icon_cache_update; }
+pkg_postrm() { xdg_icon_cache_update; }


^ permalink raw reply related	[flat|nested] 25+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/
@ 2019-05-08 19:57 James Le Cuirot
  0 siblings, 0 replies; 25+ messages in thread
From: James Le Cuirot @ 2019-05-08 19:57 UTC (permalink / raw
  To: gentoo-commits

commit:     8224016b0b715c60d3f4f6d163405aa7dd65b812
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Wed May  8 19:52:33 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Wed May  8 19:57:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8224016b

app-emulation/fs-uae-launcher: Add required PyQt5 USE flags

Closes: https://bugs.gentoo.org/684946
Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/fs-uae-launcher-2.8.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-2.8.3.ebuild b/app-emulation/fs-uae-launcher/fs-uae-launcher-2.8.3.ebuild
index 8a1bab4b457..d782ea3d97b 100644
--- a/app-emulation/fs-uae-launcher/fs-uae-launcher-2.8.3.ebuild
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-2.8.3.ebuild
@@ -19,7 +19,7 @@ IUSE="lha"
 RDEPEND="
 	app-emulation/fs-uae
 	dev-python/pyopengl[${PYTHON_USEDEP}]
-	dev-python/PyQt5[${PYTHON_USEDEP},gui]
+	dev-python/PyQt5[${PYTHON_USEDEP},declarative,gui,network,opengl,widgets]
 	dev-python/six[${PYTHON_USEDEP}]
 	lha? ( dev-python/python-lhafile[${PYTHON_USEDEP}] )
 "


^ permalink raw reply related	[flat|nested] 25+ messages in thread

end of thread, other threads:[~2024-03-09 15:16 UTC | newest]

Thread overview: 25+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-12-27  9:27 [gentoo-commits] repo/gentoo:master commit in: app-emulation/fs-uae-launcher/ James Le Cuirot
  -- strict thread matches above, loose matches on Subject: below --
2024-03-09 15:16 James Le Cuirot
2023-02-18 14:09 James Le Cuirot
2023-02-18 14:09 James Le Cuirot
2022-01-30 11:39 James Le Cuirot
2022-01-30 11:39 James Le Cuirot
2021-12-27  9:27 James Le Cuirot
2021-12-18 12:08 James Le Cuirot
2021-12-18  9:37 James Le Cuirot
2021-12-18  9:37 James Le Cuirot
2021-11-27  9:12 James Le Cuirot
2021-11-27  9:12 James Le Cuirot
2021-11-22 23:22 James Le Cuirot
2021-11-22 23:22 James Le Cuirot
2021-11-19 20:17 Arthur Zamarin
2021-11-15 23:29 James Le Cuirot
2021-11-15 23:29 James Le Cuirot
2021-10-16 23:10 James Le Cuirot
2021-10-16 11:43 James Le Cuirot
2021-02-27  8:57 James Le Cuirot
2020-04-28 23:12 James Le Cuirot
2020-04-23 21:24 James Le Cuirot
2019-11-21 23:49 James Le Cuirot
2019-11-21 23:49 James Le Cuirot
2019-05-08 19:57 James Le Cuirot

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox